#define GLIBCXX_DEBUG

#include <bits/stdc++.h>
#include <ostream>

#define int long long
#define all(v) v.begin(), v.end()

using namespace std;

const int maxn = 100000;
const int maxs = 1000 + 10;

vector<int> p[maxn];


int b[maxn];
int e[maxn];
int s[maxn];


int tin[maxs], tout[maxs];
vector<pair<int, int>> graph[maxs];


vector<int> comp;

void dfs(int v) {
    while (!graph[v].empty()) {
        auto[u, ind] = *graph[v].rbegin();
        graph[v].pop_back();
        dfs(u);
        comp.push_back(ind);
    }
}


bool check(vector<int> &ans, int mod) {
    for (int k = 0; k < ans.size(); ++k) {
        int i = ans[k];
        for (int j = 0; j + 1 < p[i].size(); ++j) {
            if (p[i][j + 1] - p[i][j] != mod)return false;
        }
        if (k != 0) {
            int dist = s[ans[k - 1]] - e[ans[k - 1]]
        }
    }
}

signed main() {
    cin.tie(0);
    ios::sync_with_stdio(false);
    int n;
    cin >> n;
    int dist = -1;
    int l = 0, r = 201;
    int mx_len = 201;
    for (int i = 0; i < n; ++i) {
        int m;
        cin >> m >> s[i];
        for (int j = 0; j < m; ++j) {
            int x;
            cin >> x;
            if (j == 0) b[i] = x;
            if (j == m - 1) e[i] = x;
            p[i].emplace_back(x);
        }
        if (m > 1) {
            int it = p[i][1] - p[i][0];
            if (dist != it && dist != -1) {
                cout << "No";
                exit(0);
            } else {
                dist = it;
            }
            for (int j = 1; j + 1 < m; ++j) {
                int a = p[i][j + 1] - p[i][j];
                if (dist != a) {
                    cout << "No";
                    exit(0);
                }
            }
        }
    }
    ++mx_len, ++r;
    if (dist != -1) {
        l = dist, r = dist;
    }
    for (int mod = l; mod <= r; ++mod) {
        for (int i = 0; i <= mx_len + 1; ++i) {
            graph[i].clear();
            tin[i] = 0;
            tout[i] = 0;
        }
        comp.clear();
        for (int i = 0; i < n; ++i) {
            int v = b[i];
            int u = e[i] + mod - s[i];
            if (0 <= u && u <= mx_len) {
                graph[v].emplace_back(u, i);
                tin[u]++;
                tout[v]++;
            } else {
                tin[mx_len + 1]++;
                tout[v]++;
                graph[v].emplace_back(mx_len + 1, i);
            }
        }
        bool good = true;
        int ins = 0, outs = 0;
        for (int i = 0; i <= mx_len + 1; ++i) {
            if (tin[i] < tout[i]) {
                ins++;
            } else if (tout[i] < tin[i]) {
                outs++;
            }
            if (abs(tin[i] - tout[i]) > 1) {
                good = false;
            }
        }
        if (!good) continue;
        if (ins <= 1 && outs <= 1) {
            for (int i = 0; i <= mx_len + 1 && good; ++i) {
                if (tout[i] > tin[i]) {
                    dfs(i);
                    if (comp.size() == n) {
                        reverse(all(comp));
                        cout << "Yes\n";
                        for (auto x: comp) {
                            cout << x + 1 << " ";
                        }
                        exit(0);
                    } else {
                        good = false;
                    }
                    comp.clear();
                }
            }
            if (ins == 0 && outs == 0 && good) {
                for (int i = 0; i < n && good; ++i) {
                    if (tin[i] > 0) {
                        dfs(i);
                        if (comp.size() == n) {
                            reverse(all(comp));
                            cout << "Yes\n";
                            for (auto x: comp) {
                                cout << x + 1 << " ";
                            }
                            exit(0);
                        } else {
                            good = false;
                        }
                        comp.clear();
                    }
                }
            }
        }
    }
    cout << "No";
}
