#define GLIBCXX_DEBUG

#include <bits/stdc++.h>
#include <ostream>

//#define int long long
#define all(v) v.begin(), v.end()

using namespace std;

const int maxn = 100000;

vector<int> p[maxn];


int b[maxn];
int e[maxn];
int s[maxn];


int tin[maxn], tout[maxn];
vector<pair<int, int>> graph[maxn];


vector<int> comp;

void dfs(int v) {
    while (!graph[v].empty()) {
        auto[u, ind] = graph[v].back();
        graph[v].pop_back();
        dfs(u);
        comp.push_back(ind);
    }
}

//
//bool check(vector<int> &ans, int mod) {
//    set<int> dif;
//    for (int k = 0; k < ans.size(); ++k) {
//        int i = ans[k];
//        dif.insert(i);
//        for (int j = 0; j + 1 < p[i].size(); ++j) {
//            if (p[i][j + 1] - p[i][j] != mod)return false;
//        }
//        if (k != 0) {
//            int dist = s[ans[k - 1]] - e[ans[k - 1]] + b[ans[k]];
//            if(dist != mod) return false;
//        }
//    }
//    return dif.size() == ans.size();
//}


map<int, int> compressed;

signed main() {
    cin.tie(0);
    ios::sync_with_stdio(false);
    int n;
    cin >> n;
    int dist = -1;
    int mx_len = 0;
    vector<int> xs;
    for (int i = 0; i < n; ++i) {
        int m;
        cin >> m >> s[i];
        for (int j = 0; j < m; ++j) {
            int x;
            cin >> x;
            if (j == 0) b[i] = x;
            if (j == m - 1) e[i] = x;
            p[i].emplace_back(x);
        }
        if (m > 1) {
            int it = p[i][1] - p[i][0];
            if (dist != it && dist != -1) {
                cout << "No";
                exit(0);
            } else {
                dist = it;
            }
            for (int j = 1; j + 1 < m; ++j) {
                int a = p[i][j + 1] - p[i][j];
                if (dist != a) {
                    cout << "No";
                    exit(0);
                }
            }
        }
        xs.emplace_back(b[i]);
        xs.emplace_back(e[i]);
    }
    sort(all(xs));
    xs.resize(unique(all(xs)) - xs.begin());
    for (int i = 0; i < xs.size(); ++i) {
        compressed[xs[i]] = i;
    }

    vector<int> can;
    mx_len = compressed.size();
    if (dist != -1) {
        can.push_back(dist);
    } else {
        for (int i = 0; i < 2; ++i) {
            for (int j = 0; j < n; ++j) {
                int f = s[i] - e[i] + b[j];
                can.push_back(f);
            }
        }
    }
    sort(all(can));
    can.resize(unique(can.begin(), can.end()) - can.begin());
    for (int mod: can) {
        memset(tin, 0, sizeof(int) * mx_len + 1);
        memset(tout, 0, sizeof(int) * mx_len + 1);
        for (int i = 0; i <= mx_len + 1; ++i) {
            graph[i].clear();
        }
        comp.clear();
        bool good = true;
        for (int i = 0; i < n && good; ++i) {
            int v = compressed[b[i]];
            int u = e[i] + mod - s[i];
            if (compressed.count(u)) {
                u = compressed[u];
                graph[v].emplace_back(u, i);
                tin[u]++;
                tout[v]++;
            } else {
                tin[mx_len + 1]++;
                tout[v]++;
                if (tin[mx_len + 1] > 1) good = false;
                graph[v].emplace_back(mx_len + 1, i);
            }
        }
        int ins = 0, outs = 0;
        for (int i = 0; i <= mx_len + 1; ++i) {
            if (tin[i] < tout[i]) {
                ins++;
            } else if (tout[i] < tin[i]) {
                outs++;
            }
            if (abs(tin[i] - tout[i]) > 1) {
                good = false;
            }
        }
        if (!good) continue;
        if (ins <= 1 && outs <= 1) {
            for (int i = 0; i <= mx_len + 1 && good; ++i) {
                if (tout[i] > tin[i]) {
                    dfs(i);
                    if (comp.size() == n) {
                        reverse(all(comp));
                        cout << "Yes\n";
                        for (auto x: comp) {
                            cout << x + 1 << " ";
                        }
                        exit(0);
                    } else {
                        good = false;
                    }
                    comp.clear();
                }
            }
            if (ins == 0 && outs == 0 && good) {
                for (int i = 0; i <= mx_len + 1 && good; ++i) {
                    if (tin[i] > 0) {
                        dfs(i);
                        if (comp.size() == n) {
                            reverse(all(comp));
                            cout << "Yes\n";
                            for (auto x: comp) {
                                cout << x + 1 << " ";
                            }
                            exit(0);
                        } else {
                            good = false;
                        }
                        comp.clear();
                    }
                }
            }
        }
    }
    cout << "No";
}
