#define GLIBCXX_DEBUG

#include <bits/stdc++.h>
#include <ostream>

#define int long long
#define all(v) v.begin(), v.end()

using namespace std;

const int maxn = 100000;
const int maxs = 100 + 10;

vector<int> p[maxn];


int b[maxn];
int e[maxn];
int s[maxn];


int tin[maxs], tout[maxs];
vector<pair<int, int>> graph[maxs];


vector<int> comp;

void dfs(int v) {
    while (!graph[v].empty()) {
        auto[u, ind] = *graph[v].rbegin();
        graph[v].pop_back();
        comp.push_back(ind);
        dfs(u);
    }
}

signed main() {
    cin.tie(0);
    ios::sync_with_stdio(false);
    int n;
    cin >> n;
    int dist = -1;
    int l = 0, r = 0;
    int mx_len = 0;
    for (int i = 0; i < n; ++i) {
        int m;
        cin >> m >> s[i];
        r = max(r, s[i] * 2);
        mx_len = max(mx_len, s[i] * 2);
        for (int j = 0; j < m; ++j) {
            int x;
            cin >> x;
            if (j == 0) b[i] = x;
            if (j == m - 1) e[i] = x;
            p[i].emplace_back(x);
        }
        if (m > 1) {
            int it = p[i][1] - p[i][0];
            if (dist != it && dist != -1) {
                cout << "No";
                exit(0);
            } else {
                dist = it;
            }
            for (int j = 1; j + 1 < m; ++j) {
                int a = p[i][j + 1] - p[i][j];
                if (dist != a) {
                    cout << "No";
                    exit(0);
                }
            }
        }
    }
    if (dist != -1) {
        l = dist, r = dist;
    }
    for (int mod = l; mod <= r; ++mod) {
        for (int i = 0; i <= mx_len + 1; ++i) {
            graph[i].clear();
        }
        comp.clear();
        for (int i = 0; i < n; ++i) {
            int v = b[i];
            int u = e[i] + mod - s[i];
            if (0 <= u && u <= mx_len) {
                graph[v].emplace_back(u, i);
                tin[u]++;
                tout[v]++;
            } else {
                tin[mx_len + 1]++;
                tout[v]++;
                graph[v].emplace_back(mx_len + 1, i);
            }
        }
        int ins = 0, outs = 0;
        for (int i = 0; i <= mx_len + 1; ++i) {
            if (tin[i] < tout[i]) {
                ins++;
            } else if (tout[i] < tin[i]) {
                outs++;
            }
        }
        if (ins <= 1 && outs <= 1) {
            bool good = true;
            for (int i = 0; i < mx_len && good; ++i) {
                if (tout[i] > tin[i]) {
                    dfs(i);
                    if (comp.size() == n) {
                        cout << "Yes\n";
                        for (auto x: comp) {
                            cout << x + 1 << " ";
                        }
                        exit(0);
                    } else {
                        good = false;
                    }
                }
            }
            if (ins == 0 && outs == 0) {
                dfs(0);
                if (comp.size() == n) {
                    cout << "Yes\n";
                    for (auto x: comp) {
                        cout << x + 1 << " ";
                    }
                    exit(0);
                }
            }
        }
    }
    cout << "No";
}
