#include <bits/stdc++.h>

#define int long long
#define all(v) v.begin(), v.end()

using namespace std;


int ar_pr(int l, int sz, int step) {
    int add = l * sz;
    int pr = (sz * (sz - 1)) / 2 * step;
    return add + pr;
}

int hor(int n, int m, int s) {
    int first = ar_pr(1, m * s, 1);
    int second = ar_pr(m * s + 1, n * m - m * s, 1);
    return abs(first - second);
}

int ver(int n, int m, int s) {
    int first = ar_pr(ar_pr(1, s, 1), n, m * s);
    int second = ar_pr(ar_pr(s + 1, m - s, 1), n, m * (m - s));
    return abs(first - second);
}


signed main() {
    cin.tie(0);
    ios::sync_with_stdio(false);
    int t;
    cin >> t;
    while (t-- > 0) {
        int n, m;
        cin >> n >> m;
        int l = 0, r = m;
        while (l + 4 < r) {
            int m1 = l + (r - l) / 3;
            int m2 = r - (r - l) / 3;
            if (ver(n, m, m1) <= ver(n, m, m2)) {
                r = m2;
            } else {
                l = m1;
            }
        }
        int mn_v = l;
        for (int i = l; i <= r; ++i) {
            if (ver(n, m, i) < ver(n, m, mn_v)) {
                mn_v = i;
            }
        }
        l = 0, r = n;
        while (l + 4 < r) {
            int m1 = l + (r - l) / 3;
            int m2 = r - (r - l) / 3;
            if (hor(n, m, m1) <= hor(n, m, m2)) {
                r = m2;
            } else {
                l = m1;
            }
        }
        int mn_h = l;
        for (int i = l; i <= r; ++i) {
            if (hor(n, m, i) < hor(n, m, mn_h)) {
                mn_h = i;
            }
        }
        if (hor(n, m, mn_h) < ver(n, m, mn_v)) {
            cout << "H " << mn_h + 1 << "\n";
        } else {
            cout << "V " << mn_v + 1 << "\n";
        }
    }
}
