#define GLIBCXX_DEBUG

#include <bits/stdc++.h>
#include <ostream>

#define int long long
#define all(v) v.begin(), v.end()

using namespace std;

const int maxn = 100000;

vector<int> p[maxn];


int b[maxn];
int s[maxn];

vector<int> with_it[maxn];
int pointer[maxn];


int to[maxn];
bool from_back[maxn];


bool was[maxn];
vector<int> comp;

void dfs(int v) {
    comp.push_back(v);
    was[v] = true;
    if (to[v] != -1 && !was[to[v]]) {
        dfs(to[v]);
    }
}

signed main() {
    cin.tie(0);
    ios::sync_with_stdio(false);
    int n;
    cin >> n;
    int dist = -1;
    int l = 0, r = 0;
    for (int i = 0; i < n; ++i) {
        int m;
        cin >> m >> s[i];
        r = max(r, s[i]);
        for (int j = 0; j < m; ++j) {
            int x;
            cin >> x;
            if (j == 0) b[i] = x;
            p[i].emplace_back(x);
        }
        if (m > 1) {
            int it = p[i][1] - p[i][0];
            if (dist != it && dist != -1) {
                cout << "No";
                exit(0);
            } else {
                dist = it;
            }
            for (int j = 1; j + 1 < m; ++j) {
                int a = p[i][j + 1] - p[i][j];
                if (dist != a) {
                    cout << "No";
                    exit(0);
                }
            }
        }
        with_it[b[i]].emplace_back(i);
    }
    if (dist != -1) {
        l = dist, r = dist;
    }
    for (int mod = l; mod <= r; ++mod) {
        fill(to, to + n, -1);
        fill(pointer, to + n, 0);
        fill(from_back, from_back + n, false);
        comp.clear();
        for (int i = 0; i < n; ++i) {
            if (b[i] + mod > s[i]) {
                int need = (b[i] + mod) - s[i];
                if (pointer[need] < with_it[need].size()) {
                    to[i] = with_it[need][pointer[need]];
                    from_back[to[i]] = true;
                    pointer[need]++;
                }
            }
        }
        int root = 0;
        for (int i = 0; i < n; ++i) {
            if (!from_back[i]) {
                root = i;
            }
        }
        dfs(root);
        if (comp.size() == n) {
            cout << "Yes\n";
            for (auto x: comp) {
                cout << x + 1 << " ";
            }
            exit(0);
        }
    }
    cout << "No";
}
